Note for GNOME Later than 3.6

From Fcitx
Jump to: navigation, search
This page contains changes which are not marked for translation.


1. libibus maybe compiled as a dependency of gnome, don't try to remove it. If you're using gentoo, try below steps to remove ibus:

  • add -i18n use flag to your make.conf, and run:
emerge --update --newuse --deep @world --ask
  • rebuild gnome-shell with -nls use flag
  • remove app-i18n/ibus:
emerge -cav app-i18n/ibus

2. uninstall package that contains ibus-daemon on your system.

Or if you want to keep ibus installed (if you want to use fcitx you don't need ibus at all, for older gnome 3.6 you might also hit this bug, so you'd better remove it), run:

gsettings set org.gnome.settings-daemon.plugins.keyboard active false 

as your current user.

Or,

3. If you are using fedora, make sure to use imsettings to select "Fcitx".

4. If set GTK_IM_MODULE doesn't work, try run following command.

gsettings set org.gnome.settings-daemon.plugins.xsettings overrides "{'Gtk/IMModule':<'fcitx'>}"

Re-login.